Basic Directory Operations
3
GNOME-VFS-2.0 Library

# Basic Directory Operations

Creating and removing directories.

## Synopsis

    GnomeVFSResult      gnome_vfs_make_directory            (const gchar *text_uri,
                                                             guint perm);
    GnomeVFSResult      gnome_vfs_make_directory_for_uri    (GnomeVFSURI *uri,
                                                             guint perm);
    GnomeVFSResult      gnome_vfs_remove_directory          (const gchar *text_uri);
    GnomeVFSResult      gnome_vfs_remove_directory_from_uri (GnomeVFSURI *uri);

## Description

## Details

### gnome_vfs_make_directory ()

    GnomeVFSResult      gnome_vfs_make_directory            (const gchar *text_uri,
                                                             guint perm);

Create `text_uri` as a directory.

`text_uri` :

  uri of the directory to be created.

`perm` :

  Unix-style permissions for the newly created directory

Returns :

  an integer representing the result of the operation.

### gnome_vfs_make_directory_for_uri ()

    GnomeVFSResult      gnome_vfs_make_directory_for_uri    (GnomeVFSURI *uri,
                                                             guint perm);

Create a directory at `uri`. Only succeeds if a file or directory does not already exist at `uri`.

`uri` :

  uri of the directory to be created.

`perm` :

  Unix-style permissions for the newly created directory.

Returns :

  an integer representing the result of the operation.

### gnome_vfs_remove_directory ()

    GnomeVFSResult      gnome_vfs_remove_directory          (const gchar *text_uri);

Remove `text_uri`. `text_uri` must be an empty directory.

`text_uri` :

  path of the directory to be removed.

Returns :

  an integer representing the result of the operation.

### gnome_vfs_remove_directory_from_uri ()

    GnomeVFSResult      gnome_vfs_remove_directory_from_uri (GnomeVFSURI *uri);

Remove `uri`. `uri` must be an empty directory.

`uri` :

  uri of the directory to be removed.

Returns :

  an integer representing the result of the operation.